Loading...
Searching...
No Matches
QXmppLoggable Class Reference
Core classes

The QXmppLoggable class represents a source of logging messages. More...

`#include <QXmppLogger.h>`

Inheritance diagram for QXmppLoggable:
[legend]

## Public Member Functions

| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Protected Member Functions

void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppLoggable class represents a source of logging messages.

## Constructor & Destructor Documentation

## QXmppLoggable()

QXmppLoggable::QXmppLoggable | ( | QObject * | parent = nullptr | ) |

Constructs a new QXmppLoggable.

Parameters

  parent |

The documentation for this class was generated from the following files:

- QXmppLogger.h
- QXmppLogger.cpp